
<ng-template #tplIconCloseNav>
  <ng-content select=".tr-close"></ng-content>
</ng-template>

<ng-template #tplIconOpenNav>
  <ng-content select=".tr-btn"></ng-content>
</ng-template>

<header class="fixed-top">

  <span (click)="toggle()">
    <!--
    <ng-content select=".tr-close" *ngIf="open; else elseBlock"></ng-content>
    -->
    <ng-container *ngIf="open; then tplIconCloseNav else tplIconOpenNav"></ng-container>

  </span>

  <ng-content select=".tr-header"></ng-content>

</header>
<main [ngClass]="{'close-aside': !open}">

  <div class="shadow position-fixed">

  </div>

  <aside>
    <div class="scroller">

      <ng-content  select=".tr-nav"></ng-content>

    </div>
  </aside>



  <div class="page">

    <div class="contents">

      pages contents

    </div>

    <footer>

      <ng-content select=".tr-footer"></ng-content>

    </footer>

  </div>
</main>
